## i3-wm 4.19.1

=== meson_options.txt ===
# -*- mode: meson -*-

option('docs', type: 'boolean', value: false,
       description: 'Build documentation from source (release tarballs contain a generated copy)')

option('mans', type: 'boolean', value: false,
       description: 'Build manpages from source (release tarballs contain a generated copy)')

option('docdir', type: 'string', value: '',
       description: 'documentation directory (default: $datadir/docs/i3)')

=== debian/changelog ===
i3-wm (4.19.1-1) unstable; urgency=medium

  * New upstream version 4.19.1 (Closes: #979083)

 -- Jakob Haufe <sur5r@debian.org>  Sun, 07 Feb 2021 20:48:04 +0000

=== debian/control ===
Source: i3-wm
Section: x11
Priority: optional
Maintainer: Michael Stapelberg <stapelberg@debian.org>
Uploaders: Jakob Haufe <sur5r@debian.org>
Build-Depends: debhelper (>= 10),
               meson,
               libx11-dev,
               libxcb-util0-dev (>= 0.3.8),
               libxcb-keysyms1-dev,
               libxcb-xinerama0-dev (>= 1.1),
               libxcb-randr0-dev,
               libxcb-icccm4-dev,
               libxcb-cursor-dev,
               libxcb-xrm-dev,
               libxcb-xkb-dev,
               libxcb-shape0-dev,
               libxkbcommon-dev (>= 0.4.0),
               libxkbcommon-x11-dev (>= 0.4.0),
               asciidoc (>= 8.4.4),
               xmlto,
               docbook-xml,
               pkg-config,
               libev-dev (>= 1:4.04),
               libyajl-dev (>= 2.0.4),
               libpcre3-dev (>= 1:8.10),
               libstartup-notification0-dev (>= 0.10),
               libcairo2-dev (>= 1.14.4),
               libpango1.0-dev,
               libpod-simple-perl
Standards-Version: 4.5.0
Homepage: https://i3wm.org/
Vcs-Git: https://salsa.debian.org/i3-team/i3-wm.git
Vcs-Browser: https://salsa.debian.org/i3-team/i3-wm
Rules-Requires-Root: no

Package: i3
Architecture: any
Depends: i3-wm (=${binary:Version}), ${misc:Depends}
Recommends: i3lock (>= 2.2), suckless-tools, i3status (>= 2.3), dunst
Description: metapackage (i3 window manager, screen locker, menu, statusbar)
 This metapackage installs the i3 window manager (i3-wm), the i3lock screen
 locker, i3status (for system information) and suckless-tools (for dmenu).
 These are all the tools you need to use the i3 window manager efficiently.

Package: i3-wm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Provides: x-window-manager
Recommends: xfonts-base, fonts-dejavu-core, libanyevent-i3-perl (>= 0.12), libjson-xs-perl, rxvt-unicode | x-terminal-emulator
Description: improved dynamic tiling window manager
 Key features of i3 are good documentation, reasonable defaults (changeable in
 a simple configuration file) and good multi-monitor support. The user
 interface is designed for power users and emphasizes keyboard usage. i3 uses
 XCB for asynchronous communication with X11 and aims to be fast and
 light-weight.
 .
 Please be aware i3 is primarily targeted at advanced users and developers.

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
  https://i3wm.org/downloads/ /downloads/i3-(.*)\.tar\..*

## i3-wm 4.20.1

=== debian/changelog ===
i3-wm (4.20.1-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Tue, 18 Jan 2022 16:04:17 -0500

i3-wm (4.20.1-1) unstable; urgency=medium

  * New upstream version 4.20.1
  * Register as x-session-manager (Closes: #978997)
  * Make i3-wm depend on dex (Closes: #999696)
  * Make i3-wm depend on i3status
  * Drop man-title-fix patch (applied upstream)
  * Switch to DH 13

 -- Jakob Haufe <sur5r@debian.org>  Tue, 07 Dec 2021 22:02:10 +0000

i3-wm (4.20-1) unstable; urgency=medium

  * New upstream version 4.20
  * New patch: man-title-fix
  * Bump Standards-Version
  * Use team+i3@tracker.debian.org as Maintainer address

 -- Jakob Haufe <sur5r@debian.org>  Sat, 30 Oct 2021 14:25:02 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: i3-wm
 Section: x11
 Priority: optional
-Maintainer: Michael Stapelberg <stapelberg@debian.org>
-Uploaders: Jakob Haufe <sur5r@debian.org>
-Build-Depends: debhelper (>= 10),
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Debian i3 maintainers <team+i3@tracker.debian.org>
+Uploaders: Jakob Haufe <sur5r@debian.org>,
+           Michael Stapelberg <stapelberg@debian.org>
+Build-Depends: debhelper-compat (= 13),
                meson,
                libx11-dev,
                libxcb-util0-dev (>= 0.3.8),
@@ -28,7 +30,7 @@
                libcairo2-dev (>= 1.14.4),
                libpango1.0-dev,
                libpod-simple-perl
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://i3wm.org/
 Vcs-Git: https://salsa.debian.org/i3-team/i3-wm.git
 Vcs-Browser: https://salsa.debian.org/i3-team/i3-wm
@@ -37,7 +39,7 @@
 Package: i3
 Architecture: any
 Depends: i3-wm (=${binary:Version}), ${misc:Depends}
-Recommends: i3lock (>= 2.2), suckless-tools, i3status (>= 2.3), dunst
+Recommends: i3lock (>= 2.2), suckless-tools, dunst
 Description: metapackage (i3 window manager, screen locker, menu, statusbar)
  This metapackage installs the i3 window manager (i3-wm), the i3lock screen
  locker, i3status (for system information) and suckless-tools (for dmenu).
@@ -45,7 +47,7 @@
 
 Package: i3-wm
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
+Depends: dex, i3status, ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
 Provides: x-window-manager
 Recommends: xfonts-base, fonts-dejavu-core, libanyevent-i3-perl (>= 0.12), libjson-xs-perl, rxvt-unicode | x-terminal-emulator
 Description: improved dynamic tiling window manager

=== debian/rules ===
#!/usr/bin/make -f
# vi: ts=8 sw=8 noet

export V:=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

override_dh_strip:
	dh_strip --no-automatic-dbgsym

override_dh_installchangelogs:
	dh_installchangelogs RELEASE-NOTES-*

override_dh_auto_test:
	# TODO: enable tests

override_dh_auto_configure:
	# The default is /usr/share/doc/i3
	dh_auto_configure -- -Ddocdir=/usr/share/doc/i3-wm -Dmans=true

%:
	dh $@ --buildsystem=meson

## i3-wm 4.21

=== debian/changelog ===
i3-wm (4.21-1+deb13u1) trixie; urgency=medium

  * Build for trixie

 -- Builder <user@localhost>  Fri, 21 Oct 2022 19:06:00 +0100

i3-wm (4.21-1) unstable; urgency=medium

  [ Martin Holst Swende (holiman) ]
  [ (anadahz) ]
  * New upstream release

 -- Martin Holst Swende <martin@swende.se>  Fri, 21 Oct 2022 19:06:00 +0100

## i3-wm 4.22

=== debian/changelog ===
i3-wm (4.22-2) unstable; urgency=medium

  * Fix i3bar nonprimary output regression
  * Update years in d/copyright

 -- Jakob Haufe <sur5r@debian.org>  Sat, 21 Jan 2023 18:48:33 +0100

i3-wm (4.22-1) unstable; urgency=medium

  * New upstream version 4.22
  * Switch B-D to libxcb-util-dev
  * Bump Standards-Version
  * Drop obsolete version constraints

 -- Jakob Haufe <sur5r@debian.org>  Sat, 07 Jan 2023 12:51:54 +0100

i3-wm (4.21.1-1) unstable; urgency=medium

  * New upstream version 4.21.1

 -- Jakob Haufe <sur5r@debian.org>  Fri, 04 Nov 2022 22:32:27 +0100

=== debian/control ===
Source: i3-wm
Section: x11
Priority: optional
Maintainer: Debian i3 maintainers <team+i3@tracker.debian.org>
Uploaders: Jakob Haufe <sur5r@debian.org>,
           Michael Stapelberg <stapelberg@debian.org>
Build-Depends: debhelper-compat (= 13),
               meson,
               libx11-dev,
               libxcb-util-dev,
               libxcb-keysyms1-dev,
               libxcb-xinerama0-dev,
               libxcb-randr0-dev,
               libxcb-icccm4-dev,
               libxcb-cursor-dev,
               libxcb-xrm-dev,
               libxcb-xkb-dev,
               libxcb-shape0-dev,
               libxkbcommon-dev,
               libxkbcommon-x11-dev,
               asciidoc,
               xmlto,
               docbook-xml,
               pkg-config,
               libev-dev,
               libyajl-dev,
               libpcre2-dev,
               libstartup-notification0-dev,
               libcairo2-dev,
               libpango1.0-dev,
               libpod-simple-perl
Standards-Version: 4.6.1
Homepage: https://i3wm.org/
Vcs-Git: https://salsa.debian.org/i3-team/i3-wm.git
Vcs-Browser: https://salsa.debian.org/i3-team/i3-wm
Rules-Requires-Root: no

Package: i3
Architecture: any
Depends: i3-wm (=${binary:Version}), ${misc:Depends}
Recommends: i3lock, suckless-tools, dunst
Description: metapackage (i3 window manager, screen locker, menu, statusbar)
 This metapackage installs the i3 window manager (i3-wm), the i3lock screen
 locker, i3status (for system information) and suckless-tools (for dmenu).
 These are all the tools you need to use the i3 window manager efficiently.

Package: i3-wm
Architecture: any
Depends: dex, i3status, ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Provides: x-window-manager
Recommends: xfonts-base, fonts-dejavu-core, libanyevent-i3-perl, libjson-xs-perl, rxvt-unicode | x-terminal-emulator
Description: improved dynamic tiling window manager
 Key features of i3 are good documentation, reasonable defaults (changeable in
 a simple configuration file) and good multi-monitor support. The user
 interface is designed for power users and emphasizes keyboard usage. i3 uses
 XCB for asynchronous communication with X11 and aims to be fast and
 light-weight.
 .
 Please be aware i3 is primarily targeted at advanced users and developers.

=== debian/rules ===
--- 
+++ 
@@ -3,9 +3,6 @@
 
 export V:=1
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
 
 override_dh_installchangelogs:
 	dh_installchangelogs RELEASE-NOTES-*

## i3-wm 4.23

=== debian/changelog ===
i3-wm (4.23-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:03:01 +1100

i3-wm (4.23-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:05:07 +0000

i3-wm (4.23-1) unstable; urgency=medium

  * New upstream version 4.23

 -- Jakob Haufe <sur5r@debian.org>  Sat, 23 Dec 2023 21:10:34 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: i3-wm
 Section: x11
 Priority: optional
-Maintainer: Debian i3 maintainers <team+i3@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian i3 maintainers <team+i3@tracker.debian.org>
 Uploaders: Jakob Haufe <sur5r@debian.org>,
            Michael Stapelberg <stapelberg@debian.org>
 Build-Depends: debhelper-compat (= 13),

## i3-wm 4.24

=== debian/changelog ===
i3-wm (4.24-1+deb13u1+devel1) trixie; urgency=medium

  * Test build

 -- Builder <user@localhost>  Mon, 22 Dec 2025 01:23:37 +0000

i3-wm (4.24-1) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * debian: update build dependencies
  * ci: drop R4.1

  [ Minimalist ]
  * Update to upstream version 4.24

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 22 Dec 2025 02:18:43 +0100

i3-wm (4.23-2) unstable; urgency=medium

  [ Demi Marie Obenour ]
  * Allow users to specify larger borders

  [ Marek Marczykowski-Górecki ]
  * ci: add R4.3

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 18 Aug 2024 17:17:33 +0200

=== debian/rules ===
#!/usr/bin/make -f
# vi: ts=8 sw=8 noet

export V:=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

override_dh_installchangelogs:
	dh_installchangelogs RELEASE-NOTES-*

override_dh_strip:
	dh_strip --dbg-package=i3-wm-dbg

override_dh_auto_test:
	# TODO: enable tests

override_dh_auto_configure:
	# The default is /usr/share/doc/i3
#	dh_auto_configure -- --docdir=/usr/share/doc/i3-wm
	dh_auto_configure -- --infodir=/usr/share/doc/i3-wm

override_dh_builddeb:
	# bintray does not support xz currently.
	dh_builddeb -- -Zgzip

%:
	dh $@ --parallel --builddirectory=build --with=autoreconf

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
  https://i3wm.org/downloads/ /downloads/i3-(.*)\.tar\.xz

## i3-wm 4.25

=== debian/changelog ===
i3-wm (4.25-1) unstable; urgency=medium

  * New upstream version 4.25

 -- Jakob Haufe <sur5r@debian.org>  Tue, 20 Jan 2026 20:33:39 +0100

=== debian/control ===
Source: i3-wm
Section: x11
Priority: optional
Maintainer: Debian i3 maintainers <team+i3@tracker.debian.org>
Uploaders: Jakob Haufe <sur5r@debian.org>,
           Michael Stapelberg <stapelberg@debian.org>,
Build-Depends: debhelper-compat (= 13),
Build-Depends-Arch: asciidoc,
                    docbook-xml,
                    libcairo2-dev,
                    libev-dev,
                    libpango1.0-dev,
                    libpcre2-dev,
                    libpod-simple-perl,
                    libstartup-notification0-dev,
                    libx11-dev,
                    libxcb-cursor-dev,
                    libxcb-icccm4-dev,
                    libxcb-keysyms1-dev,
                    libxcb-randr0-dev,
                    libxcb-shape0-dev,
                    libxcb-util-dev,
                    libxcb-xinerama0-dev,
                    libxcb-xkb-dev,
                    libxcb-xrm-dev,
                    libxkbcommon-dev,
                    libxkbcommon-x11-dev,
                    libyajl-dev,
                    meson,
                    pkgconf,
                    xmlto,
Standards-Version: 4.6.1
Homepage: https://i3wm.org/
Vcs-Git: https://salsa.debian.org/i3-team/i3-wm.git
Vcs-Browser: https://salsa.debian.org/i3-team/i3-wm
Rules-Requires-Root: no

Package: i3
Architecture: any
Depends: i3-wm (=${binary:Version}),
         ${misc:Depends},
Recommends: dunst,
            i3lock,
            suckless-tools,
Description: metapackage (i3 window manager, screen locker, menu, statusbar)
 This metapackage installs the i3 window manager (i3-wm), the i3lock screen
 locker, i3status (for system information) and suckless-tools (for dmenu).
 These are all the tools you need to use the i3 window manager efficiently.

Package: i3-wm
Architecture: any
Depends: dex,
         i3status,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends},
Provides: x-window-manager,
Recommends: fonts-dejavu-core,
            libanyevent-i3-perl,
            libjson-xs-perl,
            rxvt-unicode | x-terminal-emulator,
            xfonts-base,
Description: improved dynamic tiling window manager
 Key features of i3 are good documentation, reasonable defaults (changeable in
 a simple configuration file) and good multi-monitor support. The user
 interface is designed for power users and emphasizes keyboard usage. i3 uses
 XCB for asynchronous communication with X11 and aims to be fast and
 light-weight.
 .
 Please be aware i3 is primarily targeted at advanced users and developers.

## i3-wm 4.25.1

=== debian/changelog ===
i3-wm (4.25.1-1) unstable; urgency=medium

  * New upstream version 4.25.1

 -- Jakob Haufe <sur5r@debian.org>  Sun, 08 Feb 2026 15:37:13 +0100

i3-wm (4.25-3) unstable; urgency=medium

  * Fix patch (Closes: #1126992)

 -- Jakob Haufe <sur5r@debian.org>  Thu, 05 Feb 2026 10:05:32 +0100

i3-wm (4.25-2) unstable; urgency=medium

  * Cherry-pick upstream patch (Closes: #1126791)

 -- Jakob Haufe <sur5r@debian.org>  Sun, 01 Feb 2026 16:40:27 +0100
